<?php define(INC,'example,multilang'); include_once '../inc/inc.php';
$example_plugin = 'multilang';

$title = 'Multilang plugin. Mixed languages in the same page';
$html_lang = '';
$charset = '';

inc();?>

<p>This example demonstrates multilang plugin. There are different language versions of this page:</p>

<ul>
  <li>Default, English version</li>
  <li>German version</li>
  <li>France version</li>
  <li>Italian version</li>
  <li>Russian version</li>
</ul>

<p>Current version is: <b>
<?if ($lang == 'de'):?>
  German
<?elseif ($lang == 'fr'):?>
  France
<?elseif ($lang == 'it'):?>
  Italian
<?elseif ($lang == 'ru'):?>
  Russian
<?else:?>
  English
<?endif?>
</b></p>

<p>Multilang plugin will show the right version, using:</p>

<ul>
  <li>URL parameter lang (current value is: <b>"<?=$_GET['lang']?>"</b>)</li>
  <li>Cookie value lang (current value is: <b>"<?=$_COOKIE['lang']?>"</b>)</li>
  <li>Web browser settings (current value is: <b>"<?=$_SERVER['HTTP_ACCEPT_LANGUAGE']?>"</b>)</li>
</ul>

<p>Page values are:</p>
<ul>
  <li>$lang=<b>"<?=$lang?>"</b></li>
  <li>$html_lang=<b>"<?=$html_lang?>"</b></li>
  <li>$charset=<b>"<?=$charset?>"</b></li>
</ul>

<p>You can change preferred language, using:</p>

<p>URL parameter:</p>

<ul>
  <li><a href="multilang-mixed.php">multilang-mixed.php</a> - Autodetect</li>
  <li><a href="multilang-mixed.php?lang=en">multilang-mixed.php?lang=en</a> - English version</li>
  <li><a href="multilang-mixed.php?lang=de">multilang-mixed.php?lang=de</a> - German version</li>
  <li><a href="multilang-mixed.php?lang=fr">multilang-mixed.php?lang=fr</a> - France version</li>
  <li><a href="multilang-mixed.php?lang=it">multilang-mixed.php?lang=it</a> - Italian version</li>
  <li><a href="multilang-mixed.php?lang=ru">multilang-mixed.php?lang=ru</a> - Russian version</li>
  <li><a href="multilang-mixed.php?lang=default">multilang-mixed.php?lang=default</a> - Default version, clear language cookie</li>
</ul>

<p>Language list (some languages are not available in this page):</p>

<p><?=multilang_list()?></p>
<p><?=multilang_list(true)?></p>

<p>Language combobox (some languages are not available in this page):</p>

<p><?=multilang_combobox()?></p>
<p><?=multilang_combobox(true)?></p>
